Bug 210775 - multimedia/py-guessit: Update to 2.0.5
Summary: multimedia/py-guessit: Update to 2.0.5
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Jan Beich
URL: https://pypi.python.org/pypi/guessit#...
Keywords: easy, patch
Depends on: 210774
Blocks: 210778 210984
  Show dependency treegraph
 
Reported: 2016-07-03 13:03 UTC by Andrej Ebert
Modified: 2016-07-18 19:16 UTC (History)
2 users (show)

See Also:


Attachments
py-guessit update to 2.0.5 (1.32 KB, patch)
2016-07-03 13:03 UTC, Andrej Ebert
no flags Details | Diff
dropped setup_requires from setup.py (1.43 KB, patch)
2016-07-10 14:53 UTC, Andrej Ebert
no flags Details | Diff
poudriere log (40.84 KB, text/plain)
2016-07-10 14:54 UTC, Andrej Ebert
no flags Details
poudriere-portlint log (90 bytes, text/plain)
2016-07-10 14:54 UTC, Andrej Ebert
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Andrej Ebert 2016-07-03 13:03:49 UTC
Created attachment 172058 [details]
py-guessit update to 2.0.5

Update to 2.0.5, needed by new multimedia/py-subliminal versions.

There is also a new library requirement, py-rebulk, please see https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=210774 .
Comment 1 VK freebsd_triage 2016-07-08 19:34:26 UTC
Thanks for the patch. Please confirm the patch passes QA (poudriere, portlint).
Comment 2 Andrej Ebert 2016-07-09 11:24:21 UTC
It certainly passes portlint. poudriere I'd have to install and configure first, I could check tomorrow.
Comment 3 Jan Beich freebsd_committer 2016-07-09 12:06:02 UTC
This breaks www/py-flexget beyond bug 204729.

$ flexget execute
2016-07-09 13:03 CRITICAL plugin                        Plugin `flexget.plugins.parsers.parser_guessit` failed to import dependencies
2016-07-09 13:03 ERROR    plugin                        No module named containers
Traceback (most recent call last):
  File "/usr/local/lib/python2.7/site-packages/flexget/plugin.py", line 386, in _load_plugins_from_dirs
    __import__(module_name)
  File "/usr/local/lib/python2.7/site-packages/flexget/plugins/parsers/parser_guessit.py", line 9, in <module>
    from guessit.containers import PropertiesContainer, NoValidator
ImportError: No module named containers
Comment 4 Jan Beich freebsd_committer 2016-07-09 12:14:20 UTC
Comment on attachment 172058 [details]
py-guessit update to 2.0.5

Like devel/py-rebulk you may need to drop setup_requires from setup.py.

=======================<phase: configure      >============================
===>   py27-guessit-2.0.5 depends on package: py27-setuptools27>0 - found
===>   py27-guessit-2.0.5 depends on file: /usr/local/bin/python2.7 - found
===>  Configuring for py27-guessit-2.0.5
Download error on https://pypi.python.org/simple/pytest-runner/: [Errno 49] Can't assign requested address -- Some packages may not be found!
Couldn't find index page for 'pytest-runner' (maybe misspelled?)
Download error on https://pypi.python.org/simple/: [Errno 49] Can't assign requested address -- Some packages may not be found!
No local packages or download links found for pytest-runner
Traceback (most recent call last):
  File "<string>", line 1, in <module>
  File "setup.py", line 80, in <module>
    setup(**args)
  File "/usr/local/lib/python2.7/distutils/core.py", line 111, in setup
    _setup_distribution = dist = klass(attrs)
  File "/usr/local/lib/python2.7/site-packages/setuptools/dist.py", line 269, in __init__
    self.fetch_build_eggs(attrs['setup_requires'])
  File "/usr/local/lib/python2.7/site-packages/setuptools/dist.py", line 313, in fetch_build_eggs
    replace_conflicting=True,
  File "/usr/local/lib/python2.7/site-packages/pkg_resources/__init__.py", line 826, in resolve
    dist = best[req.key] = env.best_match(req, ws, installer)
  File "/usr/local/lib/python2.7/site-packages/pkg_resources/__init__.py", line 1092, in best_match
    return self.obtain(req, installer)
  File "/usr/local/lib/python2.7/site-packages/pkg_resources/__init__.py", line 1104, in obtain
    return installer(requirement)
  File "/usr/local/lib/python2.7/site-packages/setuptools/dist.py", line 380, in fetch_build_egg
    return cmd.easy_install(req)
  File "/usr/local/lib/python2.7/site-packages/setuptools/command/easy_install.py", line 658, in easy_install
    raise DistutilsError(msg)
distutils.errors.DistutilsError: Could not find suitable distribution for Requirement.parse('pytest-runner')
*** [do-configure] Error code 1
Comment 5 Andrej Ebert 2016-07-10 14:53:17 UTC
Created attachment 172318 [details]
dropped setup_requires from setup.py

Dropped setup_requires from setup.py as per Jan Beich's suggestion.
Comment 6 Andrej Ebert 2016-07-10 14:54:18 UTC
Created attachment 172319 [details]
poudriere log
Comment 7 Andrej Ebert 2016-07-10 14:54:55 UTC
Created attachment 172320 [details]
poudriere-portlint log
Comment 8 Andrej Ebert 2016-07-10 15:21:02 UTC
Should be ok now. As for breaking flexget - it(flexget) could really use an update, they moved on to guessit >2.0 in the new versions, but there are also 
some dependencies there aren't ports for, mostly for the webui and also configuration changes in the new versions.
Comment 9 commit-hook freebsd_committer 2016-07-18 19:07:22 UTC
A commit references this bug:

Author: jbeich
Date: Mon Jul 18 19:06:41 UTC 2016
New revision: 418733
URL: https://svnweb.freebsd.org/changeset/ports/418733

Log:
  multimedia/py-guessit: update to 2.0.5

  Changes:	https://pypi.python.org/pypi/guessit#history
  PR:		210775
  Submitted by:	Andrej Ebert <andrej@ebert.su>
  Approved by:	maintainer timeout (2 weeks)

Changes:
  head/multimedia/py-guessit/Makefile
  head/multimedia/py-guessit/distinfo
Comment 10 Jan Beich freebsd_committer 2016-07-18 19:16:36 UTC
Thanks. Landed.